aboutsummaryrefslogtreecommitdiffstats
path: root/unstable/apcupsd/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'unstable/apcupsd/APKBUILD')
-rw-r--r--unstable/apcupsd/APKBUILD26
1 files changed, 26 insertions, 0 deletions
diff --git a/unstable/apcupsd/APKBUILD b/unstable/apcupsd/APKBUILD
new file mode 100644
index 0000000000..e0fdfdd7ee
--- /dev/null
+++ b/unstable/apcupsd/APKBUILD
@@ -0,0 +1,26 @@
+pkgname=apcupsd
+pkgver=3.14.6
+pkgrel=0
+pkgdesc="A Daemon to control APC UPSes"
+subpackages="$pkgname-doc"
+url="http://www.apcupsd.org"
+license="GPL-2"
+depends="util-linux-ng"
+makedepends=
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz
+ apcupsd.initd
+ "
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ ./configure --prefix=/usr \
+ --mandir=/usr/share/man \
+ --enable-usb
+ make || return 1
+ make DESTDIR=$pkgdir install
+ install -D -m755 "$srcdir"/apcupsd.initd "$pkgdir"/etc/init.d/apcupsd
+}
+
+md5sums="7df2dbe325a6b1822763cbf6a9fa8263 apcupsd-3.14.6.tar.gz
+d276b567fd8dfb9e2a74e533b25de031 apcupsd.initd"